Subject: bug#63075: closed (Re: bug#63075: [PATCH] Fix supercollider.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Apr 2023 18:51:02 +0000

Your bug report

#63075: [PATCH] Fix supercollider.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63075: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63075
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63075: [PATCH] Fix supercollider.
From: Ludovic Courtès <[email-masked]>
To: Gabriel Wicki <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Apr 2023 20:50:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Gabriel Wicki <[email-masked]> skribis:

>>>From f67786eb958a65ba778f67a8f443fa3d24293438 Mon Sep 17 00:00:00 2001
> Message-Id: <[email-masked]>
> From: Gabriel Wicki <[email-masked]>
> Date: Tue, 25 Apr 2023 22:03:03 +0200
> Subject: [PATCH 1/2] gnu: Fix supercollider.
>
> * gnu/packages/audio.scm (supercollider): Fix the build.
> [configure-flags] Re-enable DLIBSCSYNTH.
> [phases] New phase fix-struct-SOUNDFILE-tag.
> [inputs] Add ruby and python to appease the build process.

Applied, thanks!

I didn’t apply the ‘guix style’ patch because I’m not sure it brings
much.

Ludo’.

Subject: [PATCH] Fix supercollider.
From: Gabriel Wicki <[email-masked]>
To: [email-masked]
Date: Tue, 25 Apr 2023 22:33:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Howdy y'all

Supercollider was broken so I've fixed it.  Btw there's no "audio"
team.. Should I start one?  Not that I'm too much of an expert, but I am
somewhat enthusiastic about audio...

Also: I'm not too sure what to think about the style improvements
brought to the input section of the package.

The patch set is based on: 8c5ba69d6e9e4b1b9d6b5e9cd28859b19e8e180c

Best wishes,
gabber